# Uses of Class
java.lang.constant.DynamicCallSiteDesc

Packages that use DynamicCallSiteDesc
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.

## Uses of DynamicCallSiteDesc in java.lang.classfile

Methods in java.lang.classfile with parameters of type DynamicCallSiteDesc
Modifier and Type
Method
Description
`default CodeBuilder`
CodeBuilder.`invokedynamic(DynamicCallSiteDesc ref)`
Generates an instruction to invoke a dynamically-computed call site.

## Uses of DynamicCallSiteDesc in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return DynamicCallSiteDesc
Modifier and Type
Method
Description
`default DynamicCallSiteDesc`
InvokeDynamicEntry.`asSymbol()`
Returns a symbolic descriptor for this dynamic call site.
Methods in java.lang.classfile.constantpool with parameters of type DynamicCallSiteDesc
Modifier and Type
Method
Description
`default InvokeDynamicEntry`
ConstantPoolBuilder.`invokeDynamicEntry(DynamicCallSiteDesc dcsd)`
Returns an `InvokeDynamicEntry` describing the same dynamic call site as the provided `DynamicCallSiteDesc`.

## Uses of DynamicCallSiteDesc in java.lang.constant

Methods in java.lang.constant that return DynamicCallSiteDesc
Modifier and Type
Method
Description
`static DynamicCallSiteDesc`
DynamicCallSiteDesc.`of(DirectMethodHandleDesc bootstrapMethod, MethodTypeDesc invocationType)`
Creates a nominal descriptor for an `invokedynamic` call site whose bootstrap method has no static arguments and for which the name parameter is `ConstantDescs.DEFAULT_NAME`.
`static DynamicCallSiteDesc`
DynamicCallSiteDesc.`of(DirectMethodHandleDesc bootstrapMethod, String invocationName, MethodTypeDesc invocationType)`
Creates a nominal descriptor for an `invokedynamic` call site whose bootstrap method has no static arguments.
`static DynamicCallSiteDesc`
DynamicCallSiteDesc.`of(DirectMethodHandleDesc bootstrapMethod, String invocationName, MethodTypeDesc invocationType, ConstantDesc... bootstrapArgs)`
Creates a nominal descriptor for an `invokedynamic` call site.
`DynamicCallSiteDesc`
DynamicCallSiteDesc.`withArgs(ConstantDesc... bootstrapArgs)`
Returns a nominal descriptor for an `invokedynamic` call site whose bootstrap method, name, and invocation type are the same as this one, but with the specified bootstrap arguments.
`DynamicCallSiteDesc`
DynamicCallSiteDesc.`withNameAndType(String invocationName, MethodTypeDesc invocationType)`
Returns a nominal descriptor for an `invokedynamic` call site whose bootstrap and bootstrap arguments are the same as this one, but with the specified invocationName and invocation invocationType